com.hazelcast.config

## Enum UserCodeDeploymentConfig.ProviderMode

- java.lang.Object
- - java.lang.Enum<UserCodeDeploymentConfig.ProviderMode>
  - - com.hazelcast.config.UserCodeDeploymentConfig.ProviderMode

- All Implemented Interfaces:
    Serializable, Comparable<UserCodeDeploymentConfig.ProviderMode>
  Enclosing class:
    UserCodeDeploymentConfig

      public static enum UserCodeDeploymentConfig.ProviderMode
      extends Enum<UserCodeDeploymentConfig.ProviderMode>

  Controls how to react on receiving a classloading request from a remote member

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_AND_CACHED_CLASSES` Serve classes loaded from both local classpath and from other members.
    `LOCAL_CLASSES_ONLY` Serve classes from local classpath only.
    `OFF` Never serves classes to other members.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserCodeDeploymentConfig.ProviderMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserCodeDeploymentConfig.ProviderMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final UserCodeDeploymentConfig.ProviderMode OFF

      Never serves classes to other members. This member will never server classes to remote members.

    - #### LOCAL_CLASSES_ONLY

          public static final UserCodeDeploymentConfig.ProviderMode LOCAL_CLASSES_ONLY

      Serve classes from local classpath only. Classes loaded from other members will be used locally, but they won't be served to other members.

    - #### LOCAL_AND_CACHED_CLASSES

          public static final UserCodeDeploymentConfig.ProviderMode LOCAL_AND_CACHED_CLASSES

      Serve classes loaded from both local classpath and from other members.

  - ### Method Detail

    - #### values

          public static UserCodeDeploymentConfig.ProviderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserCodeDeploymentConfig.ProviderMode c : UserCodeDeploymentConfig.ProviderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserCodeDeploymentConfig.ProviderMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.